%% Script génération sortie cibles système corrigé

nbPoints = 20000 ;
deltaT = 0.01 ;
nbPasMin = 50 ;
nbPasMax = 500 ;

omega_n = 5 ;
z = 1 ;
K = 1 ;

H = tf([K],[1/omega_n^2 2*z/omega_n 1]) ;


t = 0:deltaT: nbPoints*deltaT - deltaT ;
xc = skyline(nbPoints, nbPasMin, nbPasMax, -2*pi, 2*pi) ;

figure()
hold on
grid on
plot(t,xc)

yc = lsim(H, xc, t) ;

plot(t, yc) 
hold off

